Description

Many categorical raster datasets, such as those representing vegetation and landcover, have associated attribute tables. There are the

usual value and count columns, but there are also often additional 

fields that hold useful vegetation descriptions. These might include vegetation type, vegetation complex, landcover type etc. ERDAS

Imagine raster files will have a .vat.dbf with these attributes.

It would be incredibly useful to be able to open this attribute table as you can with a vector dataset. Then queries could be run and the

corresponding cells highlighted. Additional columns could be

added, and used to classify cells into new categories without having to do an r.recode or similar operation. For instance, you could assign

weights this way, to prepare for site selection model. 

Additionally, these attribute columns could be made available to style the raster via the Categorized or Rule based renderers. For

example, a vegetation dataset could be brought in and styled by 

the vegetation type attribute column. Or groups of vegetation/landcover types could be given a color with the Rule based renderer.

Related issues:

Duplicated by QGIS Application - Feature request # 18962: Raster attribute table Closed 2018-05-16

Duplicated by QGIS Application - Feature request # 20512: Access to raster at... Closed 2018-11-16

History

#1 - 2017-01-10 08:16 PM - shenriod -

Related to #14845

#2 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2018-05-16 01:01 PM - Alexander Bruy

- Duplicated by Feature request #18962: Raster attribute table added

#4 - 2018-11-16 09:36 AM - Jürgen Fischer

- Duplicated by Feature request #20512: Access to raster attribute tables added

Files

VegetationRaster.zip 267 KB 2016-03-09 Kurt Menke
